For the complete documentation index, see llms.txt. This page is also available as Markdown.

Command

Commands

Command Search

get

Search this users Commands

Query parameters
commandIdintegerOptional

Filter by Command Id

commandstringOptional

Filter by Command Name

codestringOptional

Filter by Command Code

useRegexForNameintegerOptional

Flag (0,1). When filtering by multiple commands in command filter, should we use regex?

useRegexForCodeintegerOptional

Flag (0,1). When filtering by multiple codes in code filter, should we use regex?

logicalOperatorNamestringOptional

When filtering by multiple commands in command filter, which logical operator should be used? AND|OR

logicalOperatorCodestringOptional

When filtering by multiple codes in code filter, which logical operator should be used? AND|OR

typestringOptional

Filter by player type (e.g. android, windows, linux, chromeOS, lg). Returns commands available on that type plus commands with no type restriction.

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/command
GET /api/command HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "commandId": 1,
    "command": "text",
    "code": "text",
    "description": "text",
    "userId": 1,
    "commandString": "text",
    "validationString": "text",
    "displayProfileId": 1,
    "commandStringDisplayProfile": "text",
    "validationStringDisplayProfile": "text",
    "availableOn": "text",
    "createAlertOn": "text",
    "createAlertOnDisplayProfile": null,
    "groupsWithPermissions": "text"
  }
]

Command Add

post

Add a Command

Body
commandstringRequired

The Command Name

descriptionstringOptional

A description for the command

codestringRequired

A unique code for this command

commandStringstringOptional

The Command String for this Command. Can be overridden on Display Settings.

validationStringstringOptional

The Validation String for this Command. Can be overridden on Display Settings.

availableOnstringOptional

An array of Player types this Command is available on, empty for all.

createAlertOnstringOptional

On command execution, when should a Display alert be created? success, failure, always or never

Responses
201

successful operation

application/json
post/command
POST /api/command HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 146

"command='text'&description='text'&code='text'&commandString='text'&validationString='text'&availableOn='text'&createAlertOn='text'"
201

successful operation

{
  "commandId": 1,
  "command": "text",
  "code": "text",
  "description": "text",
  "userId": 1,
  "commandString": "text",
  "validationString": "text",
  "displayProfileId": 1,
  "commandStringDisplayProfile": "text",
  "validationStringDisplayProfile": "text",
  "availableOn": "text",
  "createAlertOn": "text",
  "createAlertOnDisplayProfile": null,
  "groupsWithPermissions": "text"
}

Search Commands by ID

get

Get the Command object specified by the provided commandId

Path parameters
commandIdintegerRequired

Numeric ID of the Command to get

Responses
200

successful operation

application/json

Class Command

commandIdintegerOptional

Command Id

commandstringOptional

Command Name

codestringOptional

Unique Code

descriptionstringOptional

Description

userIdintegerOptional

User Id

commandStringstringOptional

Command String

validationStringstringOptional

Validation String

displayProfileIdintegerOptional

DisplayProfileId if specific to a Display Profile

commandStringDisplayProfilestringOptional

Command String specific to the provided DisplayProfile

validationStringDisplayProfilestringOptional

Validation String specific to the provided DisplayProfile

availableOnstringOptional

A comma separated list of player types this command is available on

createAlertOnstringOptional

Define if execution of this command should create an alert on success, failure, always or never.

createAlertOnDisplayProfileanyOptional

Create Alert On specific to the provided DisplayProfile.

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this Command

get/command/{commandId}
GET /api/command/{commandId} HTTP/1.1
Accept: */*
200

successful operation

{
  "commandId": 1,
  "command": "text",
  "code": "text",
  "description": "text",
  "userId": 1,
  "commandString": "text",
  "validationString": "text",
  "displayProfileId": 1,
  "commandStringDisplayProfile": "text",
  "validationStringDisplayProfile": "text",
  "availableOn": "text",
  "createAlertOn": "text",
  "createAlertOnDisplayProfile": null,
  "groupsWithPermissions": "text"
}

Edit Command

put

Edit the provided command

Path parameters
commandIdintegerRequired

The Command Id to Edit

Body
commandstringRequired

The Command Name

descriptionstringOptional

A description for the command

commandStringstringOptional

The Command String for this Command. Can be overridden on Display Settings.

validationStringstringOptional

The Validation String for this Command. Can be overridden on Display Settings.

availableOnstringOptional

An array of Player types this Command is available on, empty for all.

createAlertOnstringOptional

On command execution, when should a Display alert be created? success, failure, always or never

Responses
200

successful operation

application/json

Class Command

commandIdintegerOptional

Command Id

commandstringOptional

Command Name

codestringOptional

Unique Code

descriptionstringOptional

Description

userIdintegerOptional

User Id

commandStringstringOptional

Command String

validationStringstringOptional

Validation String

displayProfileIdintegerOptional

DisplayProfileId if specific to a Display Profile

commandStringDisplayProfilestringOptional

Command String specific to the provided DisplayProfile

validationStringDisplayProfilestringOptional

Validation String specific to the provided DisplayProfile

availableOnstringOptional

A comma separated list of player types this command is available on

createAlertOnstringOptional

Define if execution of this command should create an alert on success, failure, always or never.

createAlertOnDisplayProfileanyOptional

Create Alert On specific to the provided DisplayProfile.

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this Command

put/command/{commandId}
PUT /api/command/{commandId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 132

"command='text'&description='text'&commandString='text'&validationString='text'&availableOn='text'&createAlertOn='text'"
200

successful operation

{
  "commandId": 1,
  "command": "text",
  "code": "text",
  "description": "text",
  "userId": 1,
  "commandString": "text",
  "validationString": "text",
  "displayProfileId": 1,
  "commandStringDisplayProfile": "text",
  "validationStringDisplayProfile": "text",
  "availableOn": "text",
  "createAlertOn": "text",
  "createAlertOnDisplayProfile": null,
  "groupsWithPermissions": "text"
}

Delete Command

delete

Delete the provided command

Path parameters
commandIdintegerRequired

The Command Id to Delete

Responses
204

successful operation

No content

delete/command/{commandId}
DELETE /api/command/{commandId} HTTP/1.1
Accept: */*
204

successful operation

No content

Last updated

Was this helpful?